Bug 1347147 - (alcaeus/mongo-php-adapter) Review Request: php-alcaeus-mongo-php-adapter - Mongo PHP Adapter
Review Request: php-alcaeus-mongo-php-adapter - Mongo PHP Adapter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On: pecl/mongodb mongodb/mongodb
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-16 02:59 EDT by Remi Collet
Modified: 2016-08-08 19:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-08 16:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2016-06-16 02:59:43 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/7a633518fb02bea02a7ed220332542c67a8e6a54/php/php-alcaeus-mongo-php-adapter/php-alcaeus-mongo-php-adapter.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-alcaeus-mongo-php-adapter-1.0.3-1.remi.src.rpm
Description: 
The Mongo PHP Adapter is a userland library designed to act as an
adapter between applications relying on ext-mongo and the new driver
(ext-mongodb).

It provides the API of ext-mongo built on top of mongo-php-library,
thus being compatible with PHP 7.


Fedora Account System Username: remi
Comment 1 Remi Collet 2016-06-16 03:03:28 EDT
This package will allow to run old applications relying on the old pecl/mongo extension, such as horde, see https://github.com/horde/horde/pull/194
Comment 5 Remi Collet 2016-07-28 01:48:47 EDT
As now php-mongodb is available in rawhide, running some build.

Test suite have erratic results in Koji.

Failure (rawhide / x86_64)
http://koji.fedoraproject.org/koji/taskinfo?taskID=15043967

Success (rawhide / i686)
http://koji.fedoraproject.org/koji/taskinfo?taskID=15043967

Running a mongodb server during the build seems to be a bad idea.
More:
- on EPEL, mongodb is only available on Little Endian arch (hard to select an arch for a noarch package)
- upstream only support 64bits (https://jira.mongodb.org/browse/CDRIVER-1186)
Comment 7 James Hogarth 2016-07-28 06:22:28 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

==== Issues =====

  * Unnecessary boilerplate in spec
    - This needs removing before importing.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* BSD", "Unknown or
     generated". 29 files have unknown license. Detailed output of
     licensecheck in /home/james/workspace/fedora-scm/1347147-php-alcaeus-
     mongo-php-adapter/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.1 DB version 1.10.0 built Jul 05 2016
     08:19:35 CEST static analyze results in /home/james/workspace/fedora-
     scm/1347147-php-alcaeus-mongo-php-adapter/phpci.log


Rpmlint
-------
Checking: php-alcaeus-mongo-php-adapter-1.0.5-2.fc25.noarch.rpm
          php-alcaeus-mongo-php-adapter-1.0.5-2.fc25.src.rpm
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US userland -> user land, user-land, slanderous
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US mongodb -> mongoloid
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-alcaeus-mongo-php-adapter.src: W: spelling-error %description -l en_US userland -> user land, user-land, slanderous
php-alcaeus-mongo-php-adapter.src: W: spelling-error %description -l en_US mongodb -> mongoloid
php-alcaeus-mongo-php-adapter.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-alcaeus-mongo-php-adapter.src: W: spelling-error %description -l en_US usr -> use, us, user
php-alcaeus-mongo-php-adapter.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-alcaeus-mongo-php-adapter.src:14: W: macro-in-comment %{sparc}
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US userland -> user land, user-land, slanderous
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US mongodb -> mongoloid
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-alcaeus-mongo-php-adapter.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
php-alcaeus-mongo-php-adapter (rpmlib, GLIBC filtered):
    php(language)
    php-composer(mongodb/mongodb)
    php-date
    php-hash
    php-mbstring
    php-pcre
    php-spl



Provides
--------
php-alcaeus-mongo-php-adapter:
    php-alcaeus-mongo-php-adapter
    php-composer(alcaeus/mongo-php-adapter)
    php-composer(ext-mongo)



Source checksums
----------------
https://github.com/alcaeus/mongo-php-adapter/archive/db7ef240fc9de81cd093d4d7e401a30b79023196/mongo-php-adapter-1.0.5-db7ef24.tar.gz :
  CHECKSUM(SHA256) this package     : c0a4ccce2d5f4c9dd2a2b5f2279345a1450b2d438da2bb486f721c0906bf5ce3
  CHECKSUM(SHA256) upstream package : c0a4ccce2d5f4c9dd2a2b5f2279345a1450b2d438da2bb486f721c0906bf5ce3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1347147 -L depdir-raw/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/james/workspace/fedora-scm/depdir-raw/php-mongodb-1.0.1-1.fc25.noarch.rpm


===== Result =====

Package is APPROVED on basis of unnecessary  boilerplate being removed
Comment 8 Remi Collet 2016-07-28 06:25:50 EDT
Thanks for the review!

New package requested on pkgdb.
Comment 9 Gwyn Ciesla 2016-07-28 09:17:37 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-alcaeus-mongo-php-adapter
Comment 10 Fedora Update System 2016-07-28 09:39:03 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a8350eca4
Comment 11 Fedora Update System 2016-07-28 09:39:10 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89e0ca1799
Comment 12 Fedora Update System 2016-07-28 09:39:15 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f1b3d6daf7
Comment 13 Fedora Update System 2016-07-28 23:55:27 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a8350eca4
Comment 14 Fedora Update System 2016-07-28 23:55:37 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89e0ca1799
Comment 15 Fedora Update System 2016-07-29 03:19:15 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f1b3d6daf7
Comment 16 Fedora Update System 2016-08-08 16:27:06 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-08-08 19:54:23 EDT
php-alcaeus-mongo-php-adapter-1.0.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.